diff --git a/src/backend/utils/adt/geo_ops.c b/src/backend/utils/adt/geo_ops.c
index 621b5c33ef..7e53ab819c 100644
--- a/src/backend/utils/adt/geo_ops.c
+++ b/src/backend/utils/adt/geo_ops.c
@@ -2535,7 +2535,11 @@ line_closept_point(Point *result, LINE *line, Point *point)
 	/* We drop a perpendicular to find the intersection point. */
 	line_construct(&tmp, point, line_invsl(line));
 	retval = line_interpt_line(&closept, line, &tmp);
-	Assert(retval);		/* XXX: We need something better. */
+
+	/* For perpendicular lines, the intersection should exist. */
+	Assert(retval);
+
+	(void) retval;	/* silence compiler warning in non-assert builds */
 
 	if (result != NULL)
 		*result = closept;
